
function simulations
% --------------------------------------------------------------------------
% Parameters of the Chemostat 
% s_in = 1, Y_i = 1

global D m1 a1 m2 a2;

%Data set 1
D=2/3;
m1= 20; a1= 1;
m2= 10; 
a2=lambda(m1,a1,D)*(m2-D)/D % De esta forma lambda(m1,a1,D)=lambda(m2,a2,D) % +.001 

% -------------------------------------------------------------------------

check = (lambda(m1,a1,D)== lambda(m2,a2,D))

% --------------------------------------------------------------------------

pto_inicial= ones(3,1)*0.5; %[.9 1 .2]; 
t=100;

sol = ode23(@chemostatde,[0, t],pto_inicial);
figure;

ejex = linspace(0,t,2000); 
s=deval(sol,ejex,1);
x1=deval(sol,ejex,2);
x2=deval(sol,ejex,3);
hold on
plot(ejex,s)
plot(ejex,x1,'--g')
plot(ejex,x2,'xr')
hold off

%plot(sol.x,sol.y)
title('Competitive Exclusion Principle for a Chemostat Model'); 
xlabel('time t');
ylabel('solutions chemostat: s,x1,x2');

% --------------------------------------------------------------------------

function dydt = chemostatde(t,y)
% Differential equations function for Chemostat: 
%y(1)=s, y(2)=x(1), y(3)=x(2).

global D m1 a1 m2 a2;

dydt = zeros(1,3);    % a column vector (initialization)

dydt = [ D*(1-y(1))-(mu(y(1),m1,a1)*y(2)+mu(y(1),m2,a2)*y(3))
         (mu(y(1),m1,a1)-D)*y(2)
         (mu(y(1),m2,a2)-D)*y(3)               ];

     